org.eclipse.wst.jsdt.chromium.debug.core.model

## Class JavascriptThread

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase
      - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnected
        - - org.eclipse.wst.jsdt.chromium.debug.core.model.JavascriptThread

    public class JavascriptThread
    extends DebugElementImpl.WithConnected

This class represents the only Chromium V8 VM thread.

### Nested Class Summary

Nested Classes
`static interface` `JavascriptThread.StateVisitor<R>` Visitor that is used to describe thread state in UI.
`static interface` `JavascriptThread.SuspendedState` Holds 'suspended' state of the thread.

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Constructor Summary

Constructors
Constructor and Description
`JavascriptThread(ConnectedTargetData connectedTargetData)` Constructs a new thread for the given target

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canResume()`
`boolean` `canStepInto()`
`boolean` `canStepOver()`
`boolean` `canStepReturn()`
`boolean` `canSuspend()`
`boolean` `canTerminate()`
`<R> R` `describeState(JavascriptThread.StateVisitor<R> visitor)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`IBreakpoint[]` `getBreakpoints()`
`java.lang.String` `getName()`
`int` `getPriority()`
`StackFrameBase[]` `getStackFrames()`
`IStackFrame` `getTopStackFrame()`
`boolean` `hasStackFrames()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `resume()`
`void` `stepInto()`
`void` `stepOver()`
`void` `stepReturn()`
`void` `suspend()`
`void` `terminate()`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnected

`getConnectedData`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

`getDebugTarget`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavascriptThread

    public JavascriptThread(ConnectedTargetData connectedTargetData)

Constructs a new thread for the given target

Parameters:
  `connectedTargetData` - this thread is created for

### Method Detail

#### getStackFrames

    public StackFrameBase[] getStackFrames()
                                    throws DebugException

Throws:
  `DebugException`

#### describeState

    public <R> R describeState(JavascriptThread.StateVisitor<R> visitor)

Returns:
  expose some information about thread state for UI presentation

#### hasStackFrames

    public boolean hasStackFrames()
                           throws DebugException

Throws:
  `DebugException`

#### getPriority

    public int getPriority()
                    throws DebugException

Throws:
  `DebugException`

#### getTopStackFrame

    public IStackFrame getTopStackFrame()
                                 throws DebugException

Throws:
  `DebugException`

#### getName

    public java.lang.String getName()
                             throws DebugException

Throws:
  `DebugException`

#### getBreakpoints

    public IBreakpoint[] getBreakpoints()

#### canResume

    public boolean canResume()

#### canSuspend

    public boolean canSuspend()

#### isSuspended

    public boolean isSuspended()

#### resume

    public void resume()
                throws DebugException

Throws:
  `DebugException`

#### suspend

    public void suspend()
                 throws DebugException

Throws:
  `DebugException`

#### canStepInto

    public boolean canStepInto()

#### canStepOver

    public boolean canStepOver()

#### canStepReturn

    public boolean canStepReturn()

#### isStepping

    public boolean isStepping()

#### stepInto

    public void stepInto()
                  throws DebugException

Throws:
  `DebugException`

#### stepOver

    public void stepOver()
                  throws DebugException

Throws:
  `DebugException`

#### stepReturn

    public void stepReturn()
                    throws DebugException

Throws:
  `DebugException`

#### canTerminate

    public boolean canTerminate()

#### isTerminated

    public boolean isTerminated()

#### terminate

    public void terminate()
                   throws DebugException

Throws:
  `DebugException`

#### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

Overrides:
  `getAdapter` in class `DebugElementImpl`